package net.morilib.sh.builtin;

import net.morilib.sh.ShCommandExecuteTest;

public class ShShTest extends ShCommandExecuteTest {

	public void test001() {
		piw.println("echo $1 $2");
		piw.close();
		exe("sh -s aaa bbb", 0);
		eot("aaa bbb");
		eot();
	}

	public void test002() {
		piw.println("echo $1 $2");
		piw.close();
		exe("sh -ns aaa bbb", 0);
		eot();
	}

	public void test003() {
		piw.println("echo $1 $2");
		piw.close();
		exe("sh +n -s aaa bbb", 0);
		eot("aaa bbb");
		eot();
	}

	public void test004() {
		piw.println("echo *");
		piw.close();
		exe("sh -fs", 0);
		eot("*");
		eot();
	}

	public void test005() {
		piw.println("echo *");
		piw.close();
		exe("sh +fn -s", 0);
		eot("haruka chihaya yukiho azusa ritsuko");
		eot();
	}

	public void test006() {
		piw.close();
		exe("sh -c 'echo aaa'", 0);
		eot("aaa");
		eot();
	}

	public void test007() {
		piw.close();
		exe("sh sh1.sh aaa bbb", 0);
		eot("aaa bbb");
		eot();
	}

	public void test008() {
		piw.close();
		exe("trap 'echo exit' EXIT", 0);
		exe("sh sh1.sh aaa bbb", 0);
		eot("aaa bbb");
		eot("exit");
		eot();
	}

}
